%define upstream_name    Module-Install-RequiresList
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Report prerequisite modules and version numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install::Base)
BuildArch: noarch

%description
This module adds a target to your Makefile for listing the modules
required.

The report is broken into sections: Required, Recommended, Build Requires,
and Author Requires.

For each module listed, the report prints 3 versions: the version you are
requesting, your installed version and the CPAN version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-7.mga8
+ Revision: 1495624
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-6.mga7
+ Revision: 1269409
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1030104
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 931982
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 747860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 685447
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 665923
- update to 0.15

* Sun Aug 17 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 664578
- update to 0.14

* Sat Aug 16 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 664286
- update to 0.13

* Fri Aug 15 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 662726
- update to 0.11

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 512996
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 369892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 shlomif <shlomif> 0.100.0-1.mga2
+ Revision: 203504
- imported package perl-Module-Install-RequiresList


* Sat Jan 21 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
